org.apache.fop.image.loader.batik

## Class ImageConverterWMF2G2D

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
  - - org.apache.fop.image.loader.batik.ImageConverterWMF2G2D

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImageConverter

      public class ImageConverterWMF2G2D
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

  This ImageConverter converts WMF (Windows Metafile) images (represented by Batik's WMFRecordStore) to Java2D.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter

      `MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageConverterWMF2G2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.Image` | `convert(org.apache.xmlgraphics.image.loader.Image src, Map hints)`
    `org.apache.xmlgraphics.image.loader.ImageFlavor` | `getSourceFlavor()`
    `org.apache.xmlgraphics.image.loader.ImageFlavor` | `getTargetFlavor()`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

      `checkSourceFlavor, getConversionPenalty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageConverterWMF2G2D

          public ImageConverterWMF2G2D()

  - ### Method Detail

    - #### convert

          public org.apache.xmlgraphics.image.loader.Image convert(org.apache.xmlgraphics.image.loader.Image src,
                                                                   Map hints)

    - #### getSourceFlavor

          public org.apache.xmlgraphics.image.loader.ImageFlavor getSourceFlavor()

    - #### getTargetFlavor

          public org.apache.xmlgraphics.image.loader.ImageFlavor getTargetFlavor()

Copyright © 2023 Apache Software Foundation. All rights reserved.